Debian Bug report logs - #674900
beast fails to build from source ( ../doxer/doxer.py: No such file or directory)

version graph

Package: src:beast; Maintainer for src:beast is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Mon, 28 May 2012 13:30:02 UTC

Severity: serious

Tags: patch, sid, wheezy

Merged with 672030, 687397

Found in version beast/0.7.4-4

Fixed in version beast/0.7.4-5

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#674900; Package src:beast. (Mon, 28 May 2012 13:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 28 May 2012 13:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: beast fails to build from source ( ../doxer/doxer.py: No such file or directory)
Date: Mon, 28 May 2012 21:28:07 +0800
Package: src:beast
Version: 0.7.4-4
Severity: serious

beast fails to build in unstable, even when using the doxygen version from
testing, and even when using gcc-4.6/g++-4.6:

Making all in imports
make[4]: Entering directory `/home/packages/tmp/beast-0.7.4/docs/imports'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/home/packages/tmp/beast-0.7.4/docs/imports'
make[4]: Entering directory `/home/packages/tmp/beast-0.7.4/docs'
../doxer/doxer.py doxi2man  -d mans/ -D TOP_WEBDIR "." -D BST_VERSION 0.7.4 -I .
-D DOXI_INCLUDE_FILE \"docframe.doxi\"
/bin/bash: ../doxer/doxer.py: No such file or directory
make[4]: *** [mans/beast.1] Error 127
make[4]: Leaving directory `/home/packages/tmp/beast-0.7.4/docs'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/packages/tmp/beast-0.7.4/docs'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/packages/tmp/beast-0.7.4'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/packages/tmp/beast-0.7.4'
dh_auto_build: make -j1 returned exit code 2
make: *** [build] Error 2




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#674900; Package src:beast. (Sat, 08 Sep 2012 12:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Spadaccini <andrea.spadaccini@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sat, 08 Sep 2012 12:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 674900@bugs.debian.org (full text, mbox):

From: Andrea Spadaccini <andrea.spadaccini@gmail.com>
To: 674900@bugs.debian.org
Date: Sat, 8 Sep 2012 13:33:29 +0100
I tried to rebuild the package using pbuilder, and looks like the
situation has changed. I am not getting the missed file anymore, but
rather a compilation failure: http://paste.debian.net/188591/.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#674900; Package src:beast. (Sat, 08 Sep 2012 15:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Spadaccini <andrea.spadaccini@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sat, 08 Sep 2012 15:36:03 GMT) Full text and rfc822 format available.

Message #15 received at 674900@bugs.debian.org (full text, mbox):

From: Andrea Spadaccini <andrea.spadaccini@gmail.com>
To: 674900@bugs.debian.org
Cc: Salvatore Monteleone <salvatoremonteleone@gmail.com>
Subject: Re:
Date: Sat, 8 Sep 2012 16:32:26 +0100
[Message part 1 (text/plain, inline)]
We fixed the errors we got, patch is attached.

Unfortunately, it appears that after it compiles it then fails in the
compilation (?) of IDL files. I don't know much about GObject or IDL,
and could not go further in the debugging. The failed build log is at:
http://pastebin.com/nLD0uZWm.

Somebody with knowledge of GObject should have a look at it.

Andrea
[beast-build.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#674900; Package src:beast. (Mon, 10 Sep 2012 12:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giovanni Mascellani <gio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Mon, 10 Sep 2012 12:09:06 GMT) Full text and rfc822 format available.

Message #20 received at 674900@bugs.debian.org (full text, mbox):

From: Giovanni Mascellani <gio@debian.org>
To: 674900@bugs.debian.org
Cc: Salvatore Monteleone <salvatoremonteleone@gmail.com>
Subject: Re: Bug#674900:
Date: Mon, 10 Sep 2012 14:01:47 +0200
[Message part 1 (text/plain, inline)]
Hi Salvatore.

Il 08/09/2012 17:32, Andrea Spadaccini ha scritto:
> We fixed the errors we got, patch is attached.
> 
> Unfortunately, it appears that after it compiles it then fails in the
> compilation (?) of IDL files. I don't know much about GObject or IDL,
> and could not go further in the debugging. The failed build log is at:
> http://pastebin.com/nLD0uZWm.
> 
> Somebody with knowledge of GObject should have a look at it.

We're already discussing this bug in [1]. Upstream is looking on it and
can reproduce it. Please, follow the discussion there.

 [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=672030

Giovanni.
-- 
Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
Pisa, Italy

Web: http://poisson.phc.unipi.it/~mascellani
Jabber: g.mascellani@jabber.org / giovanni@elabor.homelinux.org

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) sid, wheezy, help, and patch. Request was from Andrea Spadaccini <andrea.spadaccini@gmail.com> to control@bugs.debian.org. (Sat, 03 Nov 2012 14:30:07 GMT) Full text and rfc822 format available.

Merged 672030 674900 687397 Request was from Andrea Spadaccini <andrea.spadaccini@gmail.com> to control@bugs.debian.org. (Sat, 03 Nov 2012 14:30:07 GMT) Full text and rfc822 format available.

Removed tag(s) help. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Mon, 05 Nov 2012 11:54:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Mon, 05 Nov 2012 11:54:11 GMT) Full text and rfc822 format available.

Message #29 received at 672030-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 672030-close@bugs.debian.org
Subject: Bug#672030: fixed in beast 0.7.4-5
Date: Mon, 05 Nov 2012 12:32:43 +0000
Source: beast
Source-Version: 0.7.4-5

We believe that the bug you reported is fixed in the latest version of
beast, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 672030@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated beast package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 05 Nov 2012 11:53:57 +0000
Source: beast
Binary: beast bse-alsa libbse-0.7-4 libbse-dev beast-doc
Architecture: source amd64 all
Version: 0.7.4-5
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 beast      - music synthesis and composition framework
 beast-doc  - Documentation for BEAST/BSE
 bse-alsa   - ALSA plugin for BEAST
 libbse-0.7-4 - music synthesis and composition framework - shared library
 libbse-dev - music synthesis and composition framework - development files
Closes: 672030
Changes: 
 beast (0.7.4-5) unstable; urgency=low
 .
   * debian/patches/500-gcc47.patch:
     - Cherry-pick some other patches from upstream VCS to fix FTBFS
       with GCC 4.7. (Closes: #672030)
Checksums-Sha1: 
 88df51e53aa38a7fa7796350eaacbb86374b7ef4 2379 beast_0.7.4-5.dsc
 6b11c7c013eb2173356e607a3723c0df64f8ba25 16326 beast_0.7.4-5.debian.tar.gz
 f0cb7c19e6b0de9d226093c1e74d6ea7f18d4ed5 2464150 beast_0.7.4-5_amd64.deb
 30136bf0841fe5f2dcce30732b87f46ffec48190 35640 bse-alsa_0.7.4-5_amd64.deb
 859138779128fcee98f0d0dc210eb109ed8709ee 1487306 libbse-0.7-4_0.7.4-5_amd64.deb
 fd6cfda0ded7945d06980b8e62499afe68527e48 308008 libbse-dev_0.7.4-5_all.deb
 c8542a59acc3c84156809be0c66e3c06298682eb 139650 beast-doc_0.7.4-5_all.deb
Checksums-Sha256: 
 d7dabc35ec094a88ea200977fc6bdf95ad15fba15c30484319e24ca254bb4770 2379 beast_0.7.4-5.dsc
 fe7f9b69b549fe2144a121d52dd3f446401ea2fc2961bf20ee9f5e28e73f1294 16326 beast_0.7.4-5.debian.tar.gz
 188fd758de568d5b6178d6a47ee20f6e0858a38515dfea87006ae5a1ea18bff9 2464150 beast_0.7.4-5_amd64.deb
 71033a728f6056809ca11e1615a1797f0508966f61767901556401d31bf3c49d 35640 bse-alsa_0.7.4-5_amd64.deb
 93b71c1a52a2b0316f10234d6289d588090835cd01df1bee1f2cc50a770b3ac5 1487306 libbse-0.7-4_0.7.4-5_amd64.deb
 1a90bbfaf26954685d76516091a19b12f9f193226373243ff3b3e7f08fece4e4 308008 libbse-dev_0.7.4-5_all.deb
 049f45e81d6593db7f34e969d9d3195c322d420c9e57bbb48dc962fcd837c546 139650 beast-doc_0.7.4-5_all.deb
Files: 
 c5273925da421efd8d315d1d1d5bd0fe 2379 gnome extra beast_0.7.4-5.dsc
 ba407f818ff5243ddc941405be7861c0 16326 gnome extra beast_0.7.4-5.debian.tar.gz
 915784b3a7b8e8e4160865a995917d7b 2464150 gnome extra beast_0.7.4-5_amd64.deb
 a51edfabde186676cfdbd080b73331f7 35640 sound extra bse-alsa_0.7.4-5_amd64.deb
 8c0fbec838d80bf0dd3c25eaa48dc6cd 1487306 libs extra libbse-0.7-4_0.7.4-5_amd64.deb
 18f8e3e575b7890dd01d8128e96db19a 308008 libdevel extra libbse-dev_0.7.4-5_all.deb
 84111ee7f6e7f3ad1b8da0551b6682f0 139650 doc extra beast-doc_0.7.4-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJQl6+EAAoJEOikiuUxHXZae+wQAJb7P+YgRyXs9b6fw2uS6W8K
ZKQsK2qFocm94s6DkbdYRwD2z8UdPhne3Y69zk1+Ezh/pucKUHgzlpzNI0P9NdN+
OdhRY/qBfHRoww6U4uI1tBqkb4e+2fIJUpltRpJagubcPRhlhM9lutGr3tc3ILuo
uvfjddse6tnrDWrjHPWJDBiIUPKhu4EQVyyaZivFgDXDnN80BzsUA6//0fonFRu9
5LBFi8ZXfCk313Z0F2MGgnph4e4bLeQhYPYiy6r3TKIqADLQVg7RDw6qdqeYC/5l
Lz09A+smez369gxSKJBz20mmvbfkqEDKJ9kJpKoKGYmdDSxj2DCx2y1YNB4/2zNe
4SiBTEXS7uMjK0/qdPH2vCwiWNOKfd98pKZvm+TIeiHB2xdyyzzuOL8RQoVcKJFK
4kQNdEzLHO0AXE2yu7/JlneobYfXEcmApy7xSytUVGomq1EYfv2c+zYsxM4cuu/j
1+GxgYUtBtj3cxd/qM3Pea3Pg4L37OPA9iS1nvXNgMlCzmjl5JTUchJl9sLps7Cl
x3muMijvHB4jj54CbipjJ2rPpbOmGUkUSCfTy5Hj314e6KOFaWg0ADJXsmlRdvqH
e+HZNjwhuu1KqrqqDtzZKyYuVCgt08g5cEDs7IZSMKVwY2cmZBUcBa/hj7aC9+7m
A7dudyB4Jrk5yA76C4Aq
=Pkof
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Dec 2012 07:25:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:45:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.